import React from 'react'
import { InertiaLink } from '@inertiajs/inertia-react'
import Layout from '@/Shared/Layout'

const FacilitateQnA = data => {
  const form = data.form
  const records = data.records

  return (
    <div className='table-panel'>
      <div className='table-panel__header'>
        <InertiaLink
          className='btn btn-dark'
          href={route('eventpal.forms.records.index', form)}
        >
          <i className='fas fa-arrow-left' />
          Back to Form Management
        </InertiaLink>
      </div>

      <div className='table-panel__table'>
        <table className='table table-striped'>
          <thead>
            <tr className='text-left font-bold'>
              <th>#</th>
              <th>To</th>
              <th>From</th>
              <th>Message</th>
              <th>Actions</th>
            </tr>
          </thead>
          <tbody>
            {records.map(record => (
              <tr key={record.id}>
                <td>{record.id}</td>
                <td>{record.speaker}</td>
                <td>
                  {record.registration.firstname} {record.registration.surname}
                </td>
                <td>{record.question}</td>
                <td>
                  <InertiaLink
                    className='action-button'
                    href={route('eventpal.forms.qna.status', [form, record])}
                    title='Reject'
                    method='patch'
                    data={{ status: 'read' }}
                  >
                    <span>
                      <i className='fas fa-eye fa-lg' />
                    </span>
                  </InertiaLink>
                </td>
              </tr>
            ))}
            {records.length === 0 && (
              <tr>
                <td className='no-results' colSpan='5'>
                  No Records found
                </td>
              </tr>
            )}
          </tbody>
        </table>
      </div>
    </div>
  )
}

// eslint-disable-next-line react/display-name
FacilitateQnA.layout = page => (
  <Layout area='Forms - Manage - Q&A' title='Facilitate'>
    {page}
  </Layout>
)

export default FacilitateQnA
