import React, { useEffect } from 'react'
import PropTypes from 'prop-types'
import Header from '@/Shared/Header'
import SideBar from '@/Shared/SideBar'
import Content from '@/Shared/Content'

export default function Layout({ title, area, children }) {
  useEffect(() => {
    document.title = title
  }, [title])

  return (
    <div className='tw-flex-1 tw-flex tw-flex-row tw-flex-grow tw-w-full'>
      <SideBar pageTitle={title} />
      <div className='tw-flex tw-flex-col tw-flex-grow'>
        <Header />
        <Content pageTitle={title} pageArea={area}>
          {children}
        </Content>
      </div>
    </div>
  )
}

Layout.propTypes = {
  area: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
  title: PropTypes.string.isRequired,
}
