<?php

namespace Drp\EventPalAdmin\Http\Controllers\Forms;

use Drp\EventPalAdmin\Http\Controllers\Controller;
use Drp\EventPalAdmin\Http\Models\Form;
use Drp\EventPalAdmin\Http\Requests\FormRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Inertia\Inertia;
use Inertia\Response;

class RecordController extends Controller
{
    public function index(Form $form): Response
    {
        $records = $form->getModel()->with('registration')->get();

        return Inertia::render("Forms/Manage/{$form->type}/Index", compact('form', 'records'));
    }

    public function create(Form $form): Response
    {
        return Inertia::render("Forms/Manage/{$form->type}/Create", compact('form'));
    }

    public function store(Request $request, Form $form): RedirectResponse
    {
        $model = $form->getModel();

        $model->fill($request->all())->save();

        Session::flash('success', 'Record Updated');

        return Redirect::route('eventpal.forms.records.index', compact('form'));
    }

    public function edit(Form $form): Response
    {
    }

    public function update(FormRequest $request, Form $form, int $record): RedirectResponse
    {
        $record = $form->getModel()->find($record);

        $record->update($request->all());

        Session::flash('success', 'Record Updated');

        return Redirect::route('eventpal.forms.index');
    }
}
