<?php

namespace Drp\EventPalAdmin\Http\Controllers;

use Drp\NativeEventApp\Models\Registration;
use Drp\NativeEventApp\Models\Segment;
use Illuminate\Http\RedirectResponse;
use Inertia\Controller;
use Inertia\Inertia;
use Inertia\Response;

class GroupsController extends Controller
{
    public function index(): Response
    {
        return Inertia::render('Groups/Index', [
            'groups' => Segment::all()
                ->transform(static function (Segment $group) {
                    return [
                        'id' => $group->id,
                        'name' => $group->name,
                        'userCount' => $group->registrations()->count(),
                        'createdDate' => $group->created_at->format('d M Y'),
                        'updatedDate' => $group->updated_at->format('d M Y'),
                    ];
                }),
        ]);
    }

    public function create(): Response
    {
        return Inertia::render('Groups/Create', [
            'users' => Registration::all()
                ->transform(static function (Registration $registration) {
                    return [
                        'id' => $registration->id,
                        'name' => trim($registration->forename . ' ' . $registration->surname),
                        'eventId' => $registration->eventId,
                    ];
                }),
        ]);
    }

    public function store(): RedirectResponse
    {
    }

    public function edit(Segment $group): Response
    {
    }

    public function update(Segment $group): RedirectResponse
    {
    }

    public function destroy(Segment $group): RedirectResponse
    {
    }
}
