const mix = require('laravel-mix')
const path = require('path')
const tailwindcss = require('tailwindcss')
const webpack = require('webpack')

var config = {
  plugins: [
    new webpack.optimize.LimitChunkCountPlugin({
      maxChunks: 1,
    }),
  ],
  resolve: {
    alias: {
      '@': path.resolve('resources/js'),
      ziggy: path.resolve('dist/ziggy.js'),
    },
  },
}

mix
  .webpackConfig(config)
  .js(
    ['node_modules/chart.js/dist/Chart.js', 'resources/js/Graphs/bar.js'],
    'dist/js/graphs.js',
  )
  .js('resources/js/jquery.js', 'dist/js')
  .sass('resources/sass/app.scss', 'dist/css')
  .sass('resources/sass/graphs.scss', 'dist/css')
  .options({
    processCssUrls: false,
    postCss: [tailwindcss('tailwind.config.js')],
  })
  .sourceMaps()

mix
  .webpackConfig(config)
  .react('resources/js/app.js', 'dist/js')
  .sourceMaps()
